<template>
  <div class="boundwx-container">
    <div class="contenttitle">
      <span v-if="!userinfo.openIdAppDTDL">绑定微信</span>
      <span v-else>已绑定微信</span>
    </div>
    <div class="contentbody" v-if="!userinfo.openIdAppDTDL">
      <div>
        <a-spin tip="加载中..." :spinning="isspinning"> </a-spin>

        <img :src="qrcodeurl" alt="" v-if="!isspinning" />
      </div>
      <div style="margin-top: 10px">微信扫一扫</div>
    </div>
    <div class="contentbody" v-else>
      <div class="username" v-if="userinfo.userName">
        {{ userinfo.userName }}
      </div>
      <div class="username" v-else>{{ userinfo.hidetel }}</div>
      <button @click="submit">更换微信号</button>
    </div>
  </div>
</template>

<script>
import { getUserWxApi } from "../../../../api/userinfo";
export default {
  // 组件名称
  name: "",
  // 局部注册的组件
  components: {},
  // 组件参数 接收来自父组件的数据
  props: {
    userinfo: {
      require: true,
    },
  },
  // 组件状态值
  data() {
    return {
      qrcodeurl: "",
      isspinning: false,
    };
  },
  // 计算属性
  computed: {},
  // 侦听器
  watch: {},
  // 生命周期钩子   注：没用到的钩子请自行删除
  /**
   * 组件实例创建完成，属性已绑定，但DOM还未生成，$ el属性还不存在
   */
  created() {
    this.getUserWx();
  },
  /**
   * el 被新创建的 vm.el 替换，并挂载到实例上去之后调用该钩子。
   * 如果 root 实例挂载了一个文档内元素，当 mounted 被调用时 vm.el 也在文档内。
   */
  mounted() {},
  // 组件方法
  methods: {
    submit() {},
    async getUserWx() {
      try {
        this.isspinning = true;
        const { data } = await getUserWxApi();
        console.log(data);
        if (data.status === 200) {
          this.qrcodeurl = data.data;
        }
      } catch (error) {
        console.log(error);
      }
      this.isspinning = false;
    },
  },
};
</script>

<style scoped lang="less">
.boundwx-container {
  .contentbody {
    text-align: center;
    img {
      width: 150px;
      height: 150px;
    }
    button {
      // width: 64px;
      // height: 32px;
      padding: 5px 18px;
      background: #ff6a00;
      margin-top: 16px;
      border-radius: 4px;
      border: none;
      font-size: 14px;
      color: #fff;
      &:hover {
        background-color: #fe8034;
      }
    }
  }
}
</style>
